### Method

# Gio DtlsClientConnection set_server_identity

since: 2.48

#### Declaration [src]

    void
    g_dtls_client_connection_set_server_identity (
      GDtlsClientConnection* conn,
      GSocketConnectable* identity
    )

#### Description [src]

Sets `conn`‘s expected server identity, which is used both to tell servers on virtual hosts which certificate to present, and also to let `conn` know what name to look for in the certificate when performing `G_TLS_CERTIFICATE_BAD_IDENTITY` validation, if enabled.

Available since: 2.48

Sets property | `Gio.DtlsClientConnection:server-identity`

#### Parameters

`identity`

  Type: `GSocketConnectable`

  A `GSocketConnectable` describing the expected server identity.

  The data is owned by the caller of the method.